exportfs(8)

NUME
exportfs - menține tabelul cu sistemele de fișiere NFS exportate

SINOPSIS
/usr/sbin/exportfs [-avi] [-o opțiuni,..] [client:/ruta ..]
/usr/sbin/exportfs -r [-v]
/usr/sbin/exportfs [-av] -u [client:/ruta ..]
/usr/sbin/exportfs [-v]
/usr/sbin/exportfs -f
/usr/sbin/exportfs -s

DESCRIERE
Un server NFS menține un tabel de sisteme de fișiere fizice locale care sunt accesibile clienților NFS. Fiecare sistem de fișiere din acest tabel este denumit sistem de fișiere exportat, sau export, pe scurt.

Comanda exportfs menține tabelul actual de exporturi pentru serverul NFS. Tabelul principal de exporturi este păstrat într-un fișier numit /var/lib/nfs/etab. Acest fișier este citit de rpc.mountd atunci când un client trimite o cerere NFS MOUNT.

În mod normal, tabelul principal de export este inițializat cu conținutul din /etc/exports și fișierele din /etc/exports.d prin invocarea exportfs -a. Cu toate acestea, un administrator de sistem poate alege să adauge sau să șteargă exporturi fără a modifica /etc/exports sau fișierele de sub /etc/exports.d prin utilizarea comenzii exportfs.

exportfs și programul său partener rpc.mountd funcționează într-unul din cele două moduri: un mod tradițional care se aplică la versiunile 2.4 și anterioare ale nucleului Linux și un mod nou care se aplică la versiunile 2.6 și ulterioare, cu condiția ca sistemul de fișiere virtuale nfsd să fi fost montat la /proc/fs/nfsd sau /proc/fs/nfs. Pe nucleele 2.6, dacă acest sistem de fișiere nu este montat, se utilizează modul vechi.

În noul mod, exportfs nu oferă nicio informație nucleului, ci o furnizează doar lui rpc.mountd prin intermediul fișierului /var/lib/nfs/etab. rpc.mountd gestionează apoi solicitările nucleului pentru informații despre exporturi, în funcție de necesități.

În modul vechi, exporturile care identifică o anumită gazdă, mai degrabă decât o subrețea sau un grup de rețele, sunt introduse direct în tabelul de export al nucleului și sunt scrise în /var/lib/nfs/etab. Mai mult, exporturile enumerate în /var/lib/nfs/rmtab care corespund unei cereri de export care nu este specifică unei gazde vor determina adăugarea în tabelul de export al nucleului a unei intrări de export corespunzătoare pentru gazda indicată în rmtab.

OPȚIUNI

-d tip  sau  --debug tip
    Activează depanarea.Tipurile valide sunt: all, auth, call, general și parse. Depanarea poate fi, de asemenea, activată prin definirea debug= în secțiunea [exportfs] din /etc/nfs.conf.

-a  Exportă sau anulează exportul tuturor directoarelor.

-o opțiuni,...
    Specifică o listă de opțiuni de export în același mod ca în exports(5).

-i  Ignoră fișierul /etc/exports și fișierele din directorul /etc/exports.d. Sunt utilizate numai opțiunile implicite și opțiunile date în linia de comandă.

-r  Reexportă toate directoarele, sincronizând /var/lib/nfs/etab cu /etc/exports și fișierele din /etc/exports.d. Această opțiune elimină intrările din /var/lib/nfs/etab care au fost șterse din /etc/exports sau din fișierele de sub /etc/exports.d și elimină toate intrările din tabelul de export al nucleului care nu mai sunt valabile.

-u  Anulează exportul unuia sau mai multor directoare.

-f  Dacă /proc/fs/nfsd sau /proc/fs/nfs este montat, golește totul din tabelul de export al nucleului. Înregistrările noi pentru clienții activi sunt adăugate în tabelul de export al nucleului de către rpc.mountd atunci când aceștia fac următoarea cerere de montare NFS.

-v  Îi indică lui exportfs să ofere informații detaliate la ieșire. Atunci când exportă sau anulează exportul, arată ce se întâmplă. Atunci când afișează lista de exporturi curentă, afișează și lista de opțiuni de export.

-s  Afișează lista curentă de exporturi potrivită pentru „/etc/exports”.

FIȘIER DE CONFIGURARE
Secțiunea [exportfs] din fișierul de configurare /etc/nfs.conf poate conține o valoare debug, care poate fi una sau mai multe din lista general, call, auth, parse, all. În cazul în care se dă o listă, membrii trebuie să fie separați prin virgule.

exportfs va recunoaște, de asemenea, valoarea state-directory-path atât din secțiunea [mountd], cât și din secțiunea [exportd].

DISCUȚIE

  Exportarea directoarelor
Primul rezumat arată cum se invocă exportfs atunci când se adaugă noi intrări în tabelul de export. Atunci când se utilizează exportfs -a, toate exporturile listate în /etc/exports și fișierele din /etc/exports.d sunt adăugate în /var/lib/nfs/etab. Tabelul de exporturi al nucleului este, de asemenea, actualizat după cum este necesar.

Argumentul gazdă:/rută specifică un director local care urmează să fie exportat, împreună cu clientul sau clienții care au permisiunea de a-l accesa. Consultați exports(5) pentru o descriere a opțiunilor acceptate și a formatelor listelor de acces.

Adresele de forma IPv6 conțin două puncte, care sunt deja folosite pentru a separa argumentele „gazdă” și „rută” din linia de comandă. Atunci când se specifică un client care utilizează o adresă IPv6 brută, adresa trebuie să fie între paranteze drepte. Pentru adresele de rețea IPv6, plasați prefixul imediat după paranteza de închidere.

Pentru a exporta un director cu toată lumea, specificați pur și simplu :/rută.

Opțiunile de export pentru o anumită pereche gazdă/director provin din mai multe surse. Opțiunile de export implicite sunt sync,ro,root_squash,wdelay. Acestea pot fi suprascrise prin intrări în /etc/exports sau în fișierele din /etc/exports.d.

Un administrator de sistem poate suprascrie opțiunile din aceste surse folosind opțiunea de linie de comandă -o din exportfs. Această opțiune acceptă o listă de opțiuni separate prin virgule, în același mod în care le-ar specifica cineva în /etc/exports. În acest fel, exportfs poate fi utilizat pentru a modifica opțiunile de export ale unui director deja exportat.

  Anularea exportului de directoare
Al treilea rezumat arată cum se poate anula exportul unui director exportat în prezent. Atunci când se utilizează exportfs -ua, toate intrările listate în /var/lib/nfs/etab sunt eliminate din tabelele de export ale nucleului, iar fișierul este șters. Acest lucru oprește efectiv toate activitățile NFS.

Pentru a elimina un export, specificați o pereche gazdă:/rută. Astfel, se șterge intrarea specificată din /var/lib/nfs/etab și se elimină intrarea corespunzătoare din nucleu (dacă există).

  Extragerea tabelului de export
Invocarea exportfs fără opțiuni afișează lista curentă a sistemelor de fișiere exportate. Adăugarea opțiunii -v face ca exportfs să afișeze opțiunile de export pentru fiecare export.

EXEMPLE
Următoarea instrucțiune adaugă toate directoarele listate în /etc/exports și fișierele din /etc/exports.d la /var/lib/nfs/etab și introduce în nucleu intrările de export rezultate:

# exportfs -a

Pentru a exporta directorul /usr/tmp către gazda django, permițând solicitări nesigure de blocare a fișierelor din partea clienților:

# exportfs -o insecure_locks django:/usr/tmp

Pentru a anula exportul directorului /usr/tmp:

# exportfs -u django:/usr/tmp

Pentru a anula toate exporturile listate în /etc/exports și fișierele din /etc/exports.d:

# exportfs -au

Pentru a exporta directorul /usr/tmp către clienții locali IPv6:

# exportfs [fe80::]/64:/usr/tmp

NOTE DE UTILIZARE
Exportul către rețele IP sau domenii DNS și NIS nu permite clienților din aceste grupuri să acceseze imediat NFS. Mai degrabă, aceste tipuri de exporturi sunt indicii pentru ca rpc.mountd(8) să acorde orice cerere de montare din partea acestor clienți. De obicei, acest lucru nu reprezintă o problemă, deoarece toate montările existente sunt păstrate în rmtab la toate repornirile.

Atunci când se anulează exportul unei intrări de rețea sau de domeniu, toate exporturile curente către membrii acestui grup vor fi verificate în raport cu exporturile rămase valabile și, dacă acestea nu mai sunt valabile, vor fi eliminate.

FIȘIERE

/etc/exports
    fișier de intrare care enumeră exporturile, opțiunile de export și listele de control al accesului.

/etc/exports.d
    directorul în care sunt stocate fișierele de intrare suplimentare. Notă: sunt utilizate numai fișierele care se termină cu .exports.

/var/lib/nfs/etab
    tabelul principal de exporturi.

/var/lib/nfs/rmtab
    tabelul de clienți care accesează exporturile serverului.

CONSULTAȚI ȘI
exports(5), nfs.conf(5), rpc.mountd(8), exportd(8), netgroup(5)

AUTORI
Olaf Kirch <okir@monad.swb.de>
Neil Brown <neilb@cse.unsw.edu.au>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.